import socket
import sys
import serial #Instalar pySerial con pip si no esta instalado.
 
arduino=serial.Serial("/dev/ttyACM0",9600) #Enlazamos con el arduino a 9600 baudios
 
HOST = '127.0.0.1'   # Symbolic name, meaning all available interfaces
PORT = 7070 # Arbitrary non-privileged port
 
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
print 'Socket created'
 
#Bind socket to local host and port
try:
    s.bind((HOST, PORT))
except socket.error as msg:
    print 'Bind failed. Error Code : ' + str(msg[0]) + ' Message ' + msg[1]
    sys.exit()
     
print 'Socket bind complete'
 
#Start listening on socket
s.listen(10)
print 'Socket now listening'
 
#now keep talking with the client
while 1:
    #wait to accept a connection - blocking call
    conn, addr = s.accept()
    cadena=conn.recv(1)
    print 'cadena recibida: ' + cadena
    print 'Connected with ' + addr[0] + ':' + str(addr[1])
    if cadena=='1':
        print 'envio 1 '
        arduino.write('1')
    elif cadena =='0':
        arduino.write('0')
     
s.close()
